# JRebel extension for VS Code

[JRebel](https://www.jrebel.com) is a productivity tool that allows developers to reload code changes instantly. It skips the rebuild, restart, and redeploy cycle common in Java development. JRebel enables developers to get more done in the same amount of time and stay in the flow while coding. JRebel supports a majority of real-world enterprise java stacks and is easy to install into existing development environments.

## Quick Start
1. Install Extension
1. Add License 

    <img src="https://files.jrebel.com/vscode/jrebel-activation-10fps.gif" alt="Activation" />

1. Project Configuration

    <img src="https://files.jrebel.com/vscode/jrebel-project-config-10fps.gif" alt="Project Configuration" />

1. Startup Configuration

    <img src="https://files.jrebel.com/vscode/jrebel-server-startup-10fps.gif" alt="Startup Configuration" />

    See detailed instructions [here](https://www.jrebel.com/products/jrebel/quickstart/vscode).

## Features
* Supports JDK 1.8 to JDK 17
* Over 100 different frameworks
* Most Java application servers

## Feedback
* Have a question? Reach out to our team at [support-rebel@perforce.com](mailto:support-rebel@perforce.com)
* [Tweet](https://www.twitter.com/Jrebel_Java) us any feedback.

## License
JRebel is using commercial license. Navigate to "JRebel view > About > JRebel > End-user license agreement" for more information.